from spack import *


class PyNestml(PythonPackage):
    """A Python package for writing and generating code for (spiking) neuron
    models and synaptic plasticity rules. Supports C++ code generation for
    NEST Simulator as well as other target platforms.
    """

    homepage = 'https://nestml.readthedocs.org/'
    url      = 'https://pypi.org/packages/py3/N/NESTML/NESTML-5.2.0-py3-none-any.whl'
    git      = 'https://github.com/nest/nestml/'

    maintainers = ['clinssen', 'pnbabu', 'jougs']

    version('5.2.0', sha256='acb703bf9c7f70304bd5d547dccd6a6a219f8acb298a6412df779b808241eb14', expand=False)

    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('py-pip', type='build')
    depends_on('py-numpy', type=('build', 'run'))
    depends_on('py-scipy', type=('build', 'run'))
    depends_on('py-sympy', type=('build', 'run'))
    depends_on('py-antlr4-python3-runtime', type=('build', 'run'))
    depends_on('py-setuptools', type=('build', 'run'))
    depends_on('py-jinja2', type=('build', 'run'))
    depends_on('py-astropy', type=('build', 'run'))
    depends_on('py-odetoolbox', type=('build', 'run'))
    depends_on('nest', type=('build', 'run'))
    depends_on('py-pytest', type='test')
