# Copyright 2013-2021 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack import *


class PyVfClient(PythonPackage):
    """Python client for the HBP Validation Framework web services
    """

    homepage = "https://hbp-validation-client.readthedocs.io/"
    pypi     = "hbp-validation-framework/hbp_validation_framework-0.6.3.tar.gz"
    git      = "https://github.com/appukuttan-shailesh/hbp-validation-client.git"

    version('0.6.3', sha256='e9d27a5d1bbc7066877d6a97eb1bcb90c70b5ec00d9027425d85f796c6a9e8c4')

    depends_on('python@3.6.9:')
    depends_on('py-requests@2.26.0:',      type=('build', 'run'))
    depends_on('py-nameparser@1.1.1:',     type=('build', 'run'))
    depends_on('py-ebrains-drive@0.4.0:',  type=('build', 'run'))
    depends_on('py-simplejson@3.17.2:',    type=('build', 'run'))
